%define api		3.0
%define clutterapi	3.0
%define gir_major	3.0
%define major		0

%define gstapi		1.0

%define oname clutter-gst

%define libname		%mklibname %{oname} %{api} %{major}
%define devname		%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}
%define gstname		gstreamer%{gstapi}-gstclutter3

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GST video texture actor and audio player object for Clutter
Name:		clutter-gst3
Version:	3.0.24
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
License:	LGPLv2+
Group:		Graphics/Utilities
Url:		http://clutter-project.org/
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)

%description
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{libname}
Summary:	GST video texture actor and audio player object for Clutter
Group:		Graphics/Utilities
Requires:	gstreamer1.0-plugins-base

%description -n %{libname}
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-gst%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
Development headers/libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		System/Libraries

%description -n %{gstname}
Standalone gstreamer plugin for %{name}.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}{,.*}

%files -n %{gstname}
%{_libdir}/gstreamer-1.0/libgstclutter-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/ClutterGst-%{gir_major}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{oname}-%{api}
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/lib%{oname}-%{api}.so
%{_includedir}/clutter-gst-%{clutterapi}/%{oname}
%{_datadir}/gir-1.0/ClutterGst-%{gir_major}.gir


%changelog
* Thu Mar 30 2017 ovitters <ovitters> 3.0.24-1.mga6
+ Revision: 1095264
- new version 3.0.24

* Tue Dec 06 2016 ovitters <ovitters> 3.0.22-1.mga6
+ Revision: 1072707
- new version 3.0.22

* Mon Sep 26 2016 tv <tv> 3.0.20-2.mga6
+ Revision: 1056792
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.0.20-1.mga6
+ Revision: 1056068
- new version 3.0.20

* Sun Mar 20 2016 ovitters <ovitters> 3.0.18-1.mga6
+ Revision: 993164
- new version 3.0.18

* Fri Feb 12 2016 ovitters <ovitters> 3.0.16-1.mga6
+ Revision: 959349
- new version 3.0.16

* Sat Oct 10 2015 ovitters <ovitters> 3.0.14-1.mga6
+ Revision: 889395
- new version 3.0.14

* Thu Oct 08 2015 ovitters <ovitters> 3.0.12-1.mga6
+ Revision: 887881
- new version 3.0.12

* Fri Sep 04 2015 ovitters <ovitters> 3.0.10-1.mga6
+ Revision: 872738
- new version 3.0.10

* Sat Jul 18 2015 ovitters <ovitters> 3.0.8-1.mga6
+ Revision: 855152
- new version 3.0.8

* Tue Jun 30 2015 wally <wally> 3.0.6-3.mga6
+ Revision: 848830
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 3.0.6-2.mga6
+ Revision: 847164
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.0.6-1.mga6
+ Revision: 837871
- imported package clutter-gst3

